> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lootexplus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset



## OpenAPI

````yaml GET /v1/assets/{chainId}/{contractAddress}/{tokenId}
openapi: 3.0.0
info:
  title: Lootex Plus API - V1
  description: V1 endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.lootexplus.com
security: []
tags: []
paths:
  /v1/assets/{chainId}/{contractAddress}/{tokenId}:
    get:
      tags:
        - V1
      summary: Get a specific asset
      operationId: Get Asset
      parameters:
        - name: chainId
          required: true
          in: path
          description: Chain ID
          schema:
            type: number
            example: 1868
        - name: contractAddress
          required: true
          in: path
          description: Contract address
          schema:
            example: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
            type: string
        - name: tokenId
          required: true
          in: path
          description: Token ID
          schema:
            example: '42'
            type: string
      responses:
        '200':
          description: Asset found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetDto'
      security:
        - x-api-key: []
components:
  schemas:
    AssetDto:
      type: object
      properties:
        id:
          type: string
          example: c070a82a-2798-46f9-830e-6916d8d30320
          description: Asset ID
        chainId:
          type: number
          example: 1868
          description: Chain ID
        contractAddress:
          type: string
          example: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
          description: Contract address
        tokenId:
          type: string
          example: '42'
          description: Token ID
        name:
          type: string
          example: Cool NFT
          description: Name of the asset
        description:
          type: string
          example: This is a cool NFT
          description: Description of the asset
        imageUrl:
          type: string
          example: https://example.com/image.png
          description: Image URL of the asset
        animationUrl:
          type: string
          example: https://example.com/animation.mp4
          description: Animation URL of the asset
        tokenUri:
          type: string
          example: https://example.com/metadata.json
          description: Token URI of the asset
        schema:
          type: string
          example: ERC721
          description: Schema of the asset
          enum:
            - ERC721
            - ERC1155
        bestListing:
          description: Best listing for the asset
          nullable: true
          example:
            unitPrice: '1000000000000000000'
            priceSymbol: ETH
            quantity: '1'
            offerer: '0x1234567890abcdef1234567890abcdef12345678'
            orderHash: >-
              0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef
          allOf:
            - $ref: '#/components/schemas/ListingDto'
        collection:
          description: Collection of the asset
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CollectionDto'
      required:
        - id
        - chainId
        - contractAddress
        - tokenId
        - schema
    ListingDto:
      type: object
      properties:
        unitPrice:
          type: string
          description: Unit price of the listing
          example: '1000000000000000000'
        priceSymbol:
          type: string
          description: Price symbol of the listing
          example: ETH
        quantity:
          type: string
          description: Quantity available in the listing
          example: '1'
        offerer:
          type: string
          description: Address of the offerer
          example: '0x1234567890abcdef1234567890abcdef12345678'
        orderHash:
          type: string
          description: Order hash of the listing
          example: >-
            0xabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdefabcdef
      required:
        - unitPrice
        - priceSymbol
        - quantity
        - offerer
        - orderHash
    CollectionDto:
      type: object
      properties:
        id:
          type: string
          example: c070a82a-2798-46f9-830e-6916d8d30320
          description: Collection ID
        slug:
          type: string
          example: cool-nft
          description: Collection slug
        chainId:
          type: number
          example: 1868
          description: Chain ID
        contractAddress:
          type: string
          example: '0xfc8e7bda94874f6baa591dd70af0fda1fca201ab'
          description: Contract address
        name:
          type: string
          example: Cool NFT
          description: Collection name
        imageUrl:
          type: string
          example: https://cool-nft.com/image.png
          description: Collection image
        description:
          type: string
          example: Cool NFT
          description: Collection description
        isVerified:
          type: boolean
          example: true
          description: Whether the collection is verified
      required:
        - id
        - slug
        - chainId
        - contractAddress
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````